# BarcodeDocumentModelRootType enum

Inheritance
  - Object
  - Enum
  - BarcodeDocumentModelRootType
Available extensions
  - EnumName

## Values

BoardingPassType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(BoardingPass.DOCUMENT_TYPE, BoardingPass.DOCUMENT_TYPE, BoardingPass.DOCUMENT_NORMALIZED_TYPE)`
SwissQRType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(SwissQR.DOCUMENT_TYPE, SwissQR.DOCUMENT_TYPE, SwissQR.DOCUMENT_NORMALIZED_TYPE)`
DEMedicalPlanType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(DEMedicalPlan.DOCUMENT_TYPE, DEMedicalPlan.DOCUMENT_TYPE, DEMedicalPlan.DOCUMENT_NORMALIZED_TYPE)`
IDCardPDF417Type → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(IDCardPDF417.DOCUMENT_TYPE, IDCardPDF417.DOCUMENT_TYPE, IDCardPDF417.DOCUMENT_NORMALIZED_TYPE)`
GS1Type → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(GS1.DOCUMENT_TYPE, GS1.DOCUMENT_TYPE, GS1.DOCUMENT_NORMALIZED_TYPE)`
SEPAType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(SEPA.DOCUMENT_TYPE, SEPA.DOCUMENT_TYPE, SEPA.DOCUMENT_NORMALIZED_TYPE)`
MedicalCertificateType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(MedicalCertificate.DOCUMENT_TYPE, MedicalCertificate.DOCUMENT_TYPE, MedicalCertificate.DOCUMENT_NORMALIZED_TYPE)`
VCardType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(VCard.DOCUMENT_TYPE, VCard.DOCUMENT_TYPE, VCard.DOCUMENT_NORMALIZED_TYPE)`
AAMVAType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(AAMVA.DOCUMENT_TYPE, AAMVA.DOCUMENT_TYPE, AAMVA.DOCUMENT_NORMALIZED_TYPE)`
HIBCType → const BarcodeDocumentModelRootType
  `const BarcodeDocumentModelRootType(HIBC.DOCUMENT_TYPE, HIBC.DOCUMENT_TYPE, HIBC.DOCUMENT_NORMALIZED_TYPE)`

## Properties

fullName → String
  final
hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String
  final
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
normalizedName → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeDocumentModelRootType>
  A constant List of the values in this enum, in order of their declaration.